### 5.1.139 rvar

`Syntax:`
  `rvar (` name `)`
  `rvar (` poly_expression `)`
  `rvar (` string_expression `)`
`Type:`
  int
`Purpose:`
  returns the number of the variable if the name/polynomial is a ring variable of the basering or if the string is the name of a ring variable of the basering; returns 0 if not. Hence the return value of `rvar` can also be used in a boolean context to check whether the variable exists.
`Example:`

        ring r=29,(x,y,z),lp;
        rvar(x);
      ==> 1
        rvar(r);
      ==> 0
        rvar(y);
      ==> 2
        rvar(var(3));
      ==> 3
        rvar("x");
      ==> 1

See defined; ring; var; varstr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.